<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>XMLHttpRequest 04</title>
    <script type="text/javascript">
       function enPantalla(text){
           let element = document.getElementById('container');
           element.textContent = text;
       }

       function enconsola(text){
           console.log(text);
       }
    </script>
</head>
<body>
    <button id="request">petición Post</button>
    <section id="container">
    Request a La petición:
    </section>
    <script type="text/javascript">
    let datos = {
        "delay":"5"
    }
    let req = new XMLHttpRequest();
    
      req.open('POST','https://httpbin.org/delay/5',true);
      let contador = 0;

      req.onreadystatechange = function() {
          enconsola(['Cuantas veces se reviso?: ', contador]); contador++;

          if(req.readyState === XMLHttpRequest.DONE && req.status === 200) {
              enconsola(req.responseText);
              enPantalla(req.responseText);
          }
      };


    document.getElementById('request').addEventListener('click', function(){
        this.style.display = 'none';
        req.send();
    });
    </script>
</body>
</html>